Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Row

    java.lang.Object
      |
      +--org.hsqldb.Row

class Row
extends Object

Field Summary
`(package private) boolean` | `bChanged`
`(package private) static int` | `iCurrentAccess`
`(package private) int` | `iLastAccess`
`(package private) int` | `iPos`
`(package private) int` | `iSize`
`(package private) org.hsqldb.Row` | `rLast`
`(package private) org.hsqldb.Row` | `rNext`

Constructor Summary
`(package private)` | `Row(org.hsqldb.Table , java.lang.Object[] )`
`(package private)` | `Row(org.hsqldb.Table , java.io.DataInput , int , org.hsqldb.Row )`

Method Summary
`(package private) boolean` | `canRemove()`
`(package private) void` | `changed()`
`(package private) void` | `cleanUpCache()`
`(package private) void` | `delete()`
`(package private) void` | `free()`
`(package private) java.lang.Object[]` | `getData()`
`(package private) org.hsqldb.Node` | `getNode(int , int )`
`(package private) org.hsqldb.Node` | `getNode(int )`
`(package private) void` | `insert(org.hsqldb.Row )`
`(package private) byte[]` | `write()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### bChanged

    boolean bChanged

### iCurrentAccess

    static int iCurrentAccess

### iLastAccess

    int iLastAccess

### iPos

    int iPos

### iSize

    int iSize

### rLast

    org.hsqldb.Row rLast

### rNext

    org.hsqldb.Row rNext

Constructor Detail

### Row

    Row(org.hsqldb.Table , java.lang.Object[] )

### Row

    Row(org.hsqldb.Table , java.io.DataInput , int , org.hsqldb.Row )

Method Detail

### canRemove

    boolean canRemove()

### changed

    void changed()

### cleanUpCache

    void cleanUpCache()

### delete

    void delete()

### free

    void free()

### getData

    java.lang.Object[] getData()

### getNode

    org.hsqldb.Node getNode(int , int )

### getNode

    org.hsqldb.Node getNode(int )

### insert

    void insert(org.hsqldb.Row )

### write

    byte[] write()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD